---
title: Presentations Endpoints (2022/06)
slug: develop/presentations-endpoints-202206
docTags: 
createdAt: 2025-03-11T07:03:30.743Z
---

These endpoints allow for creation, modification, and retrieval of Presentation objects. 

Base URL for these endpoints:  ***https\://api.bsn.cloud/2022/06/REST/Presentations***

*\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_*

## GET /

Retrieves a list of Presentations on the network.

**Required Scope Token**

bsn.api.main.presentations.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameters**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results. The default value is null.
- `sort` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (e.g. "`[Device].[Serial] ASC`"). The default value is null.
- `marker`  <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of presentations exceeds the `pageSize`. This parameter is only required if you need more elements in the paged list than the `pageSize` (100).
- `pageSize` <font color="#704ae0">int</font> <font color="#01a0af">optional: </font>The maximum number of presentations that can be contained in the response body. This defaults to the maximum allowed page size (100).

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `marker` value is set to the `[PagedList].[NextMarker]` property value from the previous BSN.cloud API response.
- `pageSize` is set to `1`
- `filter` is set to `[Status] IS 'Published'`
- `sort` is set to `[Name] ASC`

```text
GET /2022/06/REST/Presentations/?marker=MDAxIC0gVXBwZXIgTGVmdCBNYXN0ZXIsOTQwODI%3D&pageSize=1&filter=%5BStatus%5D%20IS%20%27Published%27&sort=%5BName%5D%20ASC HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns a [paged list](docId\:Pwwr0Ln3-binNgL-mr3St) of [Presentation Entities](docId:57R8l5zHZFPTus2rPV_JW) on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.

**Example**

```json
{
   "items": [   {
      "id": 098765,
      "type": "Complete",
      "name": "001-LeftScreen-Years",
      "creationDate": "2023-05-10T16:20:37.37Z",
      "lastModifiedDate": "2023-06-20T15:14:13.063Z",
      "projectFile":       {
         "id": 1234567,
         "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/6391b7b4fa3cfd6213b053506824b940",
         "type": "Stored",
         "name": "001-LeftScreen-Years.bpfx",
         "size": 194873,
         "hash": "SHA1:9C36970CD4337F9D83D932500A173B590436F94CC",
         "creationDate": "2023-06-20T15:14:12.74Z",
         "lastModifiedDate": "2023-06-20T15:14:12.207Z"
      },
      "autorun":       {
         "version": "10.0.97",
         "isCustom": false
      },
      "deviceWebPage":       {
         "id": 2345678,
         "name": "Default_PresentationWebPage"
      },
      "deviceModel": "XT1144",
      "screenSettings":       {
         "videoMode": "1920x1080x60p",
         "orientation": "Landscape",
         "connector": "HDMI",
         "backgroundColor": "RGB:000000",
         "overscan": "NoOverscan"
      },
      "language": "English",
      "status": "Published",
      "autoplayFile":       {
         "id": 12345,
         "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/98b3a8e5f8179331bd54c5bd95178687",
         "type": "Stored",
         "name": "autoplay-001-LeftScreen-Years.json",
         "size": 128875,
         "hash": "SHA1:BB9C840B156B799389B78F404438456A861BFD67",
         "creationDate": "2023-06-20T15:14:12.613Z",
         "lastModifiedDate": "2023-06-20T15:14:12.207Z"
      },
      "resourcesFile":       {
         "id": 12345,
         "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/cd420f1f6e497e845e2b8350dda09e23",
         "type": "Stored",
         "name": "resources.txt",
         "size": 0,
         "hash": "SHA1:AA39B34B5E6B4B0D3255BFEF95601890AFD80709",
         "creationDate": "2023-05-10T16:25:06.717Z",
         "lastModifiedDate": "2023-05-10T16:25:06.02Z"
      },
      "userDefinedEventsFile": null,
      "thumbnailFile":       {
         "id": 12345,
         "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/cc79c72f771fa58dac9b23788381b337",
         "type": "Stored",
         "name": "001-LeftScreen-Years.thmb.jpg",
         "size": 1977,
         "hash": "SHA1:52G80141B47757FA2C540EBE6338FFC91EA6A52D",
         "creationDate": "2023-05-11T04:15:51.913Z",
         "lastModifiedDate": "2023-05-11T04:15:51.12Z"
      },
      "files": null,
      "autorunPlugins": null,
      "applications": [],
      "dependencies": null,
      "groups": [],
      "permissions": []
   }],
   "totalItemCount": 163,
   "matchingItemCount": 110,
   "pageSize": 1,
   "nextMarker": "MDAxLUxlZnRTY3JlZW4tWWVhcnMsMTcyMDU4",
   
   "isTruncated": true,
   "sortExpression": "[Name] ASC",
   "filterExpression": "[Status] IS 'Published'"
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## POST /

Creates a new Presentation on the network.

**Required Scope Token**

bsn.api.main.presentations.create

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- The [Presentation Entity](docId:57R8l5zHZFPTus2rPV_JW)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

```text
POST /2022/06/REST/Presentations/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 1184
```

This is the example request body:

```json
{
  "id": 0,
  "name": "BestTest",
  "creationDate": "0001-01-01T00:00:00",
  "lastModifiedDate": "0001-01-01T00:00:00",
  "projectFile": null,
  "autorun": {
    "version": "10.0.98",
    "isCustom": false
  },
  "deviceWebPage": {
    "id": 2345678,
    "name": "Default_PresentationWebPage"
  },
  "deviceModel": "HD1024",
  "screenSettings": {
    "videoMode": "1920x1080x60p",
    "orientation": "Landscape",
    "connector": "HDMI",
    "backgroundColor": "RGB:000000",
    "overscan": "NoOverscan"
  },
  "language": "English",
  "status": "Draft",
  "autoplayFile": null,
  "resourcesFile": null,
  "userDefinedEventsFile": null,
  "thumbnailFile": {},
  "files": [],
  "autorunPlugins": null,
  "applications": [],
  "dependencies": [],
  "groups": null,
  "permissions": []
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">201</font>: Returns the [Presentation Entity](docId:57R8l5zHZFPTus2rPV_JW) created and referenced by the Uri (given by the Location header field) in the response. 

**Example**

```json
{
   "id": 098765,
   "name": "BestTest",
   "creationDate": "2023-11-08T22:37:53.9028274Z",
   "lastModifiedDate": "2023-11-08T22:37:53.9028274Z",
   "projectFile": null,
   "autorun":    {
      "version": "10.0.98",
      "isCustom": false
   },
   "deviceWebPage":    {
      "id": 2345678,
      "name": "Default_PresentationWebPage"
   },
   "deviceModel": "HD1024",
   "screenSettings":    {
      "videoMode": "1920x1080x60p",
      "orientation": "Landscape",
      "connector": "HDMI",
      "backgroundColor": "RGB:000000",
      "overscan": "NoOverscan"
   },
   "language": "English",
   "status": "Draft",
   "autoplayFile": null,
   "resourcesFile": null,
   "userDefinedEventsFile": null,
   "thumbnailFile": null,
   "files": [   {
      "id": 000001,
      "path": "https://bsncloud.s3.amazonaws.com/public/autoplugins.default.brs",
      "type": "Stored",
      "name": "autoplugins.brs",
      "size": 146,
      "hash": "SHA1:ABBCB3E76C85E48D326E802428B23F0325667410",
      "creationDate": "2020-07-09T19:09:06.713Z",
      "lastModifiedDate": "0001-01-01T00:00:00"
   }],
   "autorunPlugins": [],
   "applications": [],
   "dependencies": [],
   "groups": null,
   "permissions": []
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /

Removes Presentations, specified by a filter, from a network. This allows multiple Presentations to be deleted at once.

**Required Scope Token**

bsn.api.main.presentations.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameter**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">required: </font>An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `filter` is set to `[Status] IS 'Draft'`

```text
DELETE /2022/06/REST/Presentations/?filter=%5BStatus%5D%20IS%20%27Draft%27 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns the number of affected Presentations as an integer value

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /Count/ 

Retrieves the number of Presentations on the network matching the specified filter criteria. If no filter is included, this call returns the total number of Presentations on the network. 

**Required Scope Token**

bsn.api.main.presentations.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameter**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results. The default value is null.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `filter` is set to `[LastModifiedDate] IS IN THE RANGE '2020-07-01' AND '2020-08-01'`

```text
GET /2022/06/REST/Presentations/Count/?filter=%5BLastModifiedDate%5D%20IS%20IN%20THE%20RANGE%20%272020-07-01%27%20AND%20%272020-08-01%27 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: The number of Presentations is returned as an integer value.

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{id}/ 

Returns the specified Presentation 

**Required Scope Token**

bsn.api.main.presentations.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the Presentation 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `123456`
- The optional `If-Modified-Since` header value equals the `Last-Modified` header value retrieved from the previous `GET /id` or `GET /name` response

```text
GET /2022/06/REST/Presentations/123456/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Modified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response with Body**

<font color="#089a4d">200</font>: Returns the [Presentation Entity](docId:57R8l5zHZFPTus2rPV_JW)&#x20;

**Example**

This is an example of a 200 level response:

```json
{
   "id": 123456,
   "type": "Complete",
   "name": "JaneDoeTest",
   "creationDate": "2023-05-10T16:20:37.37Z",
   "lastModifiedDate": "2023-12-20T21:32:35.093Z",
   "projectFile":    {
      "id": 1234567,
      "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/0a704ff75585f18147d83ac90d02bb8c",
      "type": "Stored",
      "name": "JaneDoeTest.bpfx",
      "size": 36903,
      "hash": "SHA1:36A3BBEC3E97F9B1C48248F7173FEE141245D122",
      "creationDate": "2023-09-08T16:08:13.09Z",
      "lastModifiedDate": "2023-09-08T16:08:12.523Z"
   },
   "autorun":    {
      "version": "10.0.98",
      "isCustom": false
   },
   "deviceWebPage":    {
      "id": 2345678,
      "name": "Default_PresentationWebPage"
   },
   "deviceModel": "HD1024",
   "screenSettings":    {
      "videoMode": "1920x1080x60p",
      "orientation": "Landscape",
      "connector": "HDMI",
      "backgroundColor": "RGB:000000",
      "overscan": "NoOverscan"
   },
   "language": "English",
   "status": "Draft",
   "autoplayFile":       {
         "id": 12345,
         "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/98b3a8e5f8179331bd54c5bd95178687",
         "type": "Stored",
         "name": "autoplay-JaneDoeTest.json",
         "size": 128875,
         "hash": "SHA1:BB9C850B156B799389B78F404448456A861BFD67",
         "creationDate": "2023-11-08T22:37:53.903Z",
         "lastModifiedDate": "2023-06-20T15:14:12.207Z"
      },
   "resourcesFile":       {
         "id": 12345,
         "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/cd420f1f6e497e845e2b8350dda09e23",
         "type": "Stored",
         "name": "resources.txt",
         "size": 0,
         "hash": "SHA1:DA39A3BB5E6B4B0D3255BFEF95601890AFD80709",
         "creationDate": "2023-05-10T16:25:06.717Z",
         "lastModifiedDate": "2023-05-10T16:25:06.02Z"
      },
   "userDefinedEventsFile": null,
   "thumbnailFile":       {
         "id": 12345,
         "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/cc79c72f771fa58dac9b23788381b337",
         "type": "Stored",
         "name": "JaneDoeTest.thmb.jpg",
         "size": 1977,
         "hash": "SHA1:52G80141B47757FA2C541EBE6338FFC91EA6A52D",
         "creationDate": "2023-05-11T04:15:51.913Z",
         "lastModifiedDate": "2023-05-11T04:15:51.12Z"
      },
   "files": [   {
      "id": 000001,
      "path": "https://bsncloud.s3.amazonaws.com/public/autoplugins.default.brs",
      "type": "Stored",
      "name": "autoplugins.brs",
      "size": 146,
      "hash": "SHA1:A34CB3E76C85E48D326E802428B23F0325667410",
      "creationDate": "2020-07-09T19:09:06.713Z",
      "lastModifiedDate": "0001-01-01T00:00:00"
   }],
   "autorunPlugins": [],
   "applications": [],
   "dependencies": [],
   "groups": [],
   "permissions": []
}
```

**Success Response**

<font color="#089a4d">304</font>: The resource was not modified since the time specified in the “If-Modified-Since” header

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## PUT /\{id}/ 

Modifies the specified Presentation 

**Required Scope Token**

bsn.api.main.presentations.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the Presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- The [Presentation Entity](docId:57R8l5zHZFPTus2rPV_JW)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `123456`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
PUT /2022/06/REST/Presentations/123456/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Content-Type: application/json
Content-Length: 1341
```

This is the example request body:

```json
{
  "id": 123456,
  "type": "Complete",
  "name": "JaneDoeTest",
  "creationDate": "0001-01-01T00:00:00",
  "lastModifiedDate": "0001-01-01T00:00:00",
  "projectFile": {
    "id": 12345,
    "path": null,
    "type": "Stored",
    "name": "JaneDoeTest.bpfx",
    "size": 0,
    "hash": null,
    "creationDate": "0001-01-01T00:00:00",
    "lastModifiedDate": "0001-01-01T00:00:00"
  },
  "autorun": {
    "version": "10.0.98",
    "isCustom": false
  },
  "deviceWebPage": {
    "id": 2345678,
    "name": "Default_PresentationWebPage"
  },
  "deviceModel": "HD1024",
  "screenSettings": {
    "videoMode": "1920x1080x60p",
    "orientation": "Landscape",
    "connector": "HDMI",
    "backgroundColor": "RGB:000000",
    "overscan": "NoOverscan"
  },
  "language": "English",
  "status": "Draft",
  "autoplayFile": {
    "id": 12345,
    "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/98b3a8e5f8179331bd54c5bd95178687",
    "type": "Stored",
    "name": "autoplay-JaneDoeTest.json",
    "size": 128875,
    "hash": "SHA1:BB9C850B156B799389B78F404448456A861BFD67",
    "creationDate": "2023-11-08T22:37:53.903Z",
    "lastModifiedDate": "2023-06-20T15:14:12.207Z"
  },
  "resourcesFile": {
    "id": 12345,
    "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/cd420f1f6e497e845e2b8350dda09e23",
    "type": "Stored",
    "name": "resources.txt",
    "size": 0,
    "hash": "SHA1:DA39A3BB5E6B4B0D3255BFEF95601890AFD80709",
    "creationDate": "2023-05-10T16:25:06.717Z",
    "lastModifiedDate": "2023-05-10T16:25:06.02Z"
  },
  "userDefinedEventsFile": null,
  "thumbnailFile": {
    "id": 12345,
    "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/cc79c72f771fa58dac9b23788381b337",
    "type": "Stored",
    "name": "JaneDoeTest.thmb.jpg",
    "size": 1977,
    "hash": "SHA1:52G80141B47757FA2C541EBE6338FFC91EA6A52D",
    "creationDate": "2023-05-11T04:15:51.913Z",
    "lastModifiedDate": "2023-05-11T04:15:51.12Z"
  },
  "files": [
    {
      "mediaType": "Video",
      "id": 12345,
      "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/146bf3dd806cf10c940996c99c392a42",
      "type": "Media",
      "name": "New BrightWall Mockup.mp4",
      "size": 14788538,
      "hash": "SHA1:4271F163089C674826AECDDCD4FC6FA1B2332D66",
      "creationDate": "2022-07-29T16:26:17.7Z",
      "lastModifiedDate": "2022-07-26T14:58:26.57Z"
    }
  ],
  "autorunPlugins": [
    {
      "id": 12345,
      "name": "SetMultiScreenVideoMode",
      "fileInfo": {
        "id": 12345,
        "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/1d76cbeffb487d687fb8362593211e1b",
        "type": "Stored",
        "name": "SetMultiScreenVideoMode.brs",
        "size": 2628,
        "hash": "55F5B577643FBAFCF719016E04F1E458FCD2C104",
        "creationDate": "2024-01-12T17:06:40.64Z",
        "lastModifiedDate": "2024-01-12T17:06:40.64Z"
      },
      "presentations": null
    }
  ],
  "applications": [],
  "dependencies": [],
  "groups": null,
  "permissions": []
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified Presentation was successfully updated

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{id}/ 

Removes the specified Presentation

**Required Scope Token**

bsn.api.main.presentations.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the Presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `123456`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
DELETE /2022/06/REST/Presentations/123456/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified Presentation was successfully deleted from the network

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{name}/ 

Returns the specified Presentation

**Required Scope Token**

bsn.api.main.presentations.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the Presentation 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `JaneDoeTest`
- The optional `If-Modified-Since` header value equals the `Last-Modified` header value retrieved from the previous `GET /id` or `GET /name` response

```text
GET /2022/06/REST/Presentations/JaneDoeTest/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Modified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response with Body**

<font color="#089a4d">200</font>: Returns the [Presentation Entity](docId:57R8l5zHZFPTus2rPV_JW)&#x20;

**Example**

```json
{
   "id": 123456,
   "type": "Complete",
   "name": "JaneDoeTest",
   "creationDate": "2023-05-10T16:20:37.37Z",
   "lastModifiedDate": "2023-12-20T21:32:35.093Z",
   "projectFile":    {
      "id": 1234567,
      "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/0a704ff75585f18147d83ac90d02bb8c",
      "type": "Stored",
      "name": "JaneDoeTest.bpfx",
      "size": 36903,
      "hash": "SHA1:36A3BBEC3E97F9B1C48248F7173FEE141245D122",
      "creationDate": "2023-09-08T16:08:13.09Z",
      "lastModifiedDate": "2023-09-08T16:08:12.523Z"
   },
   "autorun":    {
      "version": "10.0.98",
      "isCustom": false
   },
   "deviceWebPage":    {
      "id": 2345678,
      "name": "Default_PresentationWebPage"
   },
   "deviceModel": "HD1024",
   "screenSettings":    {
      "videoMode": "1920x1080x60p",
      "orientation": "Landscape",
      "connector": "HDMI",
      "backgroundColor": "RGB:000000",
      "overscan": "NoOverscan"
   },
   "language": "English",
   "status": "Draft",
   "autoplayFile":       {
         "id": 12345,
         "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/98b3a8e5f8179331bd54c5bd95178687",
         "type": "Stored",
         "name": "autoplay-JaneDoeTest.json",
         "size": 128875,
         "hash": "SHA1:BB9C850B156B799389B78F404448456A861BFD67",
         "creationDate": "2023-11-08T22:37:53.903Z",
         "lastModifiedDate": "2023-06-20T15:14:12.207Z"
      },
   "resourcesFile":       {
         "id": 12345,
         "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/cd420f1f6e497e845e2b8350dda09e23",
         "type": "Stored",
         "name": "resources.txt",
         "size": 0,
         "hash": "SHA1:DA39A3BB5E6B4A0D3255BFEF95601890AFD80709",
         "creationDate": "2023-05-10T16:25:06.717Z",
         "lastModifiedDate": "2023-05-10T16:25:06.02Z"
      },
   "userDefinedEventsFile": null,
   "thumbnailFile":       {
         "id": 12345,
         "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/cc79c72f771fa58dac9b23788381b337",
         "type": "Stored",
         "name": "JaneDoeTest.thmb.jpg",
         "size": 1977,
         "hash": "SHA1:52G80141B47857FA2C541EBE6338FFC91EA6A52D",
         "creationDate": "2023-05-11T04:15:51.913Z",
         "lastModifiedDate": "2023-05-11T04:15:51.12Z"
      },
   "files": [   {
      "id": 000001,
      "path": "https://bsncloud.s3.amazonaws.com/public/autoplugins.default.brs",
      "type": "Stored",
      "name": "autoplugins.brs",
      "size": 146,
      "hash": "SHA1:A34CB3E76C85E58D326E802428B23F0325667410",
      "creationDate": "2020-07-09T19:09:06.713Z",
      "lastModifiedDate": "0001-01-01T00:00:00"
   }],
   "autorunPlugins": [],
   "applications": [],
   "dependencies": [],
   "groups": [],
   "permissions": []
}
```

**Success Response**

<font color="#089a4d">304</font>: The resource was not modified since the time specified in the “If-Modified-Since” header

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## PUT /\{name}/ 

Modifies the specified Presentation

**Required Scope Token**

bsn.api.main.presentations.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the Presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- The [Presentation Entity](docId:57R8l5zHZFPTus2rPV_JW)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `JaneDoeTest`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
PUT /2022/06/REST/Presentations/JaneDoeTest/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Content-Type: application/json
Content-Length: 1341
```

This is the example request body:

```json
{
  "id": 123456,
  "type": "Complete",
  "name": "JaneDoeTest",
  "creationDate": "0001-01-01T00:00:00",
  "lastModifiedDate": "0001-01-01T00:00:00",
  "projectFile": {
    "id": 12345,
    "path": null,
    "type": "Stored",
    "name": "JaneDoeTest.bpfx",
    "size": 0,
    "hash": null,
    "creationDate": "0001-01-01T00:00:00",
    "lastModifiedDate": "0001-01-01T00:00:00"
  },
  "autorun": {
    "version": "10.0.98",
    "isCustom": false
  },
  "deviceWebPage": {
    "id": 2345678,
    "name": "Default_PresentationWebPage"
  },
  "deviceModel": "HD1024",
  "screenSettings": {
    "videoMode": "1920x1080x60p",
    "orientation": "Landscape",
    "connector": "HDMI",
    "backgroundColor": "RGB:000000",
    "overscan": "NoOverscan"
  },
  "language": "English",
  "status": "Draft",
  "autoplayFile": {
    "id": 12345,
    "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/98b3a8e5f8179331bd54c5bd95178687",
    "type": "Stored",
    "name": "autoplay-JaneDoeTest.json",
    "size": 128875,
    "hash": "SHA1:BB9C850B156B799389B78F404448456A861BFD67",
    "creationDate": "2023-11-08T22:37:53.903Z",
    "lastModifiedDate": "2023-06-20T15:14:12.207Z"
  },
  "resourcesFile": {
    "id": 12345,
    "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/cd420f1f6e497e845e2b8350dda09e23",
    "type": "Stored",
    "name": "resources.txt",
    "size": 0,
    "hash": "SHA1:DA39A3BB5E6B4B0D3255BFEF95601890AFD80709",
    "creationDate": "2023-05-10T16:25:06.717Z",
    "lastModifiedDate": "2023-05-10T16:25:06.02Z"
  },
  "userDefinedEventsFile": null,
  "thumbnailFile": {
    "id": 12345,
    "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/cc79c72f771fa58dac9b23788381b337",
    "type": "Stored",
    "name": "JaneDoeTest.thmb.jpg",
    "size": 1977,
    "hash": "SHA1:52G80141B47757FA2C541EBE6338FFC91EA6A52D",
    "creationDate": "2023-05-11T04:15:51.913Z",
    "lastModifiedDate": "2023-05-11T04:15:51.12Z"
  },
  "files": [
    {
      "mediaType": "Video",
      "id": 12345,
      "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/146bf3dd806cf10c940996c99c392a42",
      "type": "Media",
      "name": "New BrightWall Mockup.mp4",
      "size": 14788538,
      "hash": "SHA1:4271F163089C674826AECDDCD4FC6FA1B2332D66",
      "creationDate": "2022-07-29T16:26:17.7Z",
      "lastModifiedDate": "2022-07-26T14:58:26.57Z"
    }
  ],
  "autorunPlugins": [
    {
      "id": 12345,
      "name": "SetMultiScreenVideoMode",
      "fileInfo": {
        "id": 12345,
        "path": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/1d76cbeffb487d687fb8362593211e1b",
        "type": "Stored",
        "name": "SetMultiScreenVideoMode.brs",
        "size": 2628,
        "hash": "55F5B577643FBAFCF719016E04F1E458FCD2C104",
        "creationDate": "2024-01-12T17:06:40.64Z",
        "lastModifiedDate": "2024-01-12T17:06:40.64Z"
      },
      "presentations": null
    }
  ],
  "applications": [],
  "dependencies": [],
  "groups": null,
  "permissions": []
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified Presentation was successfully updated

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{name}/ 

Removes the specified Presentation 

**Required Scope Token**

bsn.api.main.presentations.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the Presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `JaneDoeTest`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
DELETE /2022/06/REST/Presentations/JaneDoeTest/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified Presentation was successfully deleted from the network

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /Operations/ 

Returns the operational permissions granted to roles for specific business operations

**Required Scope Token**

bsn.api.main.operations.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

```text
GET /2022/06/REST/Presentations/Operations/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns the [Business Operations Entity](docId\:eI98k7OUl6z5i-5B-D6js)

:::ExpandableHeading
Example

```json
{
  "uid": "5e368789-94d8-423e-bebb-2f5451398067",
  "singularName": "Full Control",
  "pluralName": "Presentation (Full Control)",
  "fullName": "Presentation (Full Control)",
  "targetEntity": "Presentation",
  "appliance": "Instance, Collection",
  "parent": null,
  "descendants": [
    {
      "uid": "c978aa8d-c7ac-410f-aec3-22e136d0ba58",
      "singularName": "View Presentation",
      "pluralName": "View Presentations",
      "fullName": "Presentation (Full Control) - View Presentations",
      "targetEntity": "Presentation",
      "appliance": "Instance, Collection",
      "parent": {
        "uid": "5e368789-94d8-423e-bebb-2f5451398067",
        "singularName": "Full Control",
        "pluralName": "Presentation (Full Control)",
        "fullName": "Presentation (Full Control)",
        "targetEntity": "Presentation",
        "appliance": "Instance, Collection",
        "parent": null,
        "descendants": null,
        "permissions": null
      },
      "descendants": [],
      "permissions": [
        {
          "entityId": null,
          "operationUID": "c978aa8d-c7ac-410f-aec3-22e136d0ba58",
          "principal": {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
          },
          "isFixed": true,
          "isInherited": false,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.467Z"
        },
        {
          "entityId": null,
          "operationUID": "c978aa8d-c7ac-410f-aec3-22e136d0ba58",
          "principal": {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
          },
          "isFixed": true,
          "isInherited": false,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.673Z"
        },
        {
          "entityId": null,
          "operationUID": "c978aa8d-c7ac-410f-aec3-22e136d0ba58",
          "principal": {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
          },
          "isFixed": true,
          "isInherited": false,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.843Z"
        },
        {
          "entityId": null,
          "operationUID": "c978aa8d-c7ac-410f-aec3-22e136d0ba58",
          "principal": {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.18Z"
        },
        {
          "entityId": null,
          "operationUID": "c978aa8d-c7ac-410f-aec3-22e136d0ba58",
          "principal": {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.293Z"
        },
        {
          "entityId": null,
          "operationUID": "c978aa8d-c7ac-410f-aec3-22e136d0ba58",
          "principal": {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.39Z"
        }
      ]
    },
    {
      "uid": "d08cf494-5a8d-45e5-99d8-0b8ec61547a0",
      "singularName": "View Autorun Plugin",
      "pluralName": "View Autorun Plugins",
      "fullName": "Presentation (Full Control) - View Autorun Plugins",
      "targetEntity": "Presentation",
      "appliance": "Instance, Collection",
      "parent": {
        "uid": "5e368789-94d8-423e-bebb-2f5451398067",
        "singularName": "Full Control",
        "pluralName": "Presentation (Full Control)",
        "fullName": "Presentation (Full Control)",
        "targetEntity": "Presentation",
        "appliance": "Instance, Collection",
        "parent": null,
        "descendants": null,
        "permissions": null
      },
      "descendants": [],
      "permissions": [
        {
          "entityId": null,
          "operationUID": "d08cf494-5a8d-45e5-99d8-0b8ec61547a0",
          "principal": {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
          },
          "isFixed": true,
          "isInherited": false,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.843Z"
        },
        {
          "entityId": null,
          "operationUID": "d08cf494-5a8d-45e5-99d8-0b8ec61547a0",
          "principal": {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.18Z"
        },
        {
          "entityId": null,
          "operationUID": "d08cf494-5a8d-45e5-99d8-0b8ec61547a0",
          "principal": {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.293Z"
        },
        {
          "entityId": null,
          "operationUID": "d08cf494-5a8d-45e5-99d8-0b8ec61547a0",
          "principal": {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.39Z"
        },
        {
          "entityId": null,
          "operationUID": "d08cf494-5a8d-45e5-99d8-0b8ec61547a0",
          "principal": {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.467Z"
        },
        {
          "entityId": null,
          "operationUID": "d08cf494-5a8d-45e5-99d8-0b8ec61547a0",
          "principal": {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.673Z"
        }
      ]
    },
    {
      "uid": "ffea0d95-b04f-4fb9-90d2-c8d314c89cd7",
      "singularName": "View Contents",
      "pluralName": "View Contents",
      "fullName": "Presentation (Full Control) - View Contents",
      "targetEntity": "Presentation",
      "appliance": "Instance, Collection",
      "parent": {
        "uid": "5e368789-94d8-423e-bebb-2f5451398067",
        "singularName": "Full Control",
        "pluralName": "Presentation (Full Control)",
        "fullName": "Presentation (Full Control)",
        "targetEntity": "Presentation",
        "appliance": "Instance, Collection",
        "parent": null,
        "descendants": null,
        "permissions": null
      },
      "descendants": [],
      "permissions": [
        {
          "entityId": null,
          "operationUID": "ffea0d95-b04f-4fb9-90d2-c8d314c89cd7",
          "principal": {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
          },
          "isFixed": true,
          "isInherited": false,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.843Z"
        },
        {
          "entityId": null,
          "operationUID": "ffea0d95-b04f-4fb9-90d2-c8d314c89cd7",
          "principal": {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.18Z"
        },
        {
          "entityId": null,
          "operationUID": "ffea0d95-b04f-4fb9-90d2-c8d314c89cd7",
          "principal": {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.293Z"
        },
        {
          "entityId": null,
          "operationUID": "ffea0d95-b04f-4fb9-90d2-c8d314c89cd7",
          "principal": {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.39Z"
        },
        {
          "entityId": null,
          "operationUID": "ffea0d95-b04f-4fb9-90d2-c8d314c89cd7",
          "principal": {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.467Z"
        },
        {
          "entityId": null,
          "operationUID": "ffea0d95-b04f-4fb9-90d2-c8d314c89cd7",
          "principal": {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.673Z"
        }
      ]
    },
    {
      "uid": "8054f9c1-4afe-487c-921c-15e118d5e89e",
      "singularName": "Create Presentation",
      "pluralName": "Create Presentation",
      "fullName": "Presentation (Full Control) - Create Presentation",
      "targetEntity": "Presentation",
      "appliance": "Collection",
      "parent": {
        "uid": "5e368789-94d8-423e-bebb-2f5451398067",
        "singularName": "Full Control",
        "pluralName": "Presentation (Full Control)",
        "fullName": "Presentation (Full Control)",
        "targetEntity": "Presentation",
        "appliance": "Instance, Collection",
        "parent": null,
        "descendants": null,
        "permissions": null
      },
      "descendants": [],
      "permissions": [
        {
          "entityId": null,
          "operationUID": "8054f9c1-4afe-487c-921c-15e118d5e89e",
          "principal": {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.18Z"
        },
        {
          "entityId": null,
          "operationUID": "8054f9c1-4afe-487c-921c-15e118d5e89e",
          "principal": {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.293Z"
        },
        {
          "entityId": null,
          "operationUID": "8054f9c1-4afe-487c-921c-15e118d5e89e",
          "principal": {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.39Z"
        },
        {
          "entityId": null,
          "operationUID": "8054f9c1-4afe-487c-921c-15e118d5e89e",
          "principal": {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.467Z"
        },
        {
          "entityId": null,
          "operationUID": "8054f9c1-4afe-487c-921c-15e118d5e89e",
          "principal": {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.673Z"
        },
        {
          "entityId": null,
          "operationUID": "8054f9c1-4afe-487c-921c-15e118d5e89e",
          "principal": {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.843Z"
        }
      ]
    },
    {
      "uid": "bb823893-a8ff-49f1-8dca-63026c5e9787",
      "singularName": "Overwrite Presentation",
      "pluralName": "Overwrite Presentation",
      "fullName": "Presentation (Full Control) - Overwrite Presentation",
      "targetEntity": "Presentation",
      "appliance": "Instance, Collection",
      "parent": {
        "uid": "5e368789-94d8-423e-bebb-2f5451398067",
        "singularName": "Full Control",
        "pluralName": "Presentation (Full Control)",
        "fullName": "Presentation (Full Control)",
        "targetEntity": "Presentation",
        "appliance": "Instance, Collection",
        "parent": null,
        "descendants": null,
        "permissions": null
      },
      "descendants": [],
      "permissions": [
        {
          "entityId": null,
          "operationUID": "bb823893-a8ff-49f1-8dca-63026c5e9787",
          "principal": {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.18Z"
        },
        {
          "entityId": null,
          "operationUID": "bb823893-a8ff-49f1-8dca-63026c5e9787",
          "principal": {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.293Z"
        },
        {
          "entityId": null,
          "operationUID": "bb823893-a8ff-49f1-8dca-63026c5e9787",
          "principal": {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.39Z"
        },
        {
          "entityId": null,
          "operationUID": "bb823893-a8ff-49f1-8dca-63026c5e9787",
          "principal": {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.467Z"
        },
        {
          "entityId": null,
          "operationUID": "bb823893-a8ff-49f1-8dca-63026c5e9787",
          "principal": {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.673Z"
        },
        {
          "entityId": null,
          "operationUID": "bb823893-a8ff-49f1-8dca-63026c5e9787",
          "principal": {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.843Z"
        }
      ]
    },
    {
      "uid": "a9db6cdb-513b-4cca-a0ce-35d571c56cd6",
      "singularName": "Update Presentation",
      "pluralName": "Update Presentation",
      "fullName": "Presentation (Full Control) - Update Presentation",
      "targetEntity": "Presentation",
      "appliance": "Instance, Collection",
      "parent": {
        "uid": "5e368789-94d8-423e-bebb-2f5451398067",
        "singularName": "Full Control",
        "pluralName": "Presentation (Full Control)",
        "fullName": "Presentation (Full Control)",
        "targetEntity": "Presentation",
        "appliance": "Instance, Collection",
        "parent": null,
        "descendants": null,
        "permissions": null
      },
      "descendants": [
        {
          "uid": "f318d012-58f6-45e0-b347-a8e4418853f8",
          "singularName": "Add Autorun Plugin",
          "pluralName": "Add Autorun Plugin",
          "fullName": "Presentation (Full Control) - Update Presentation - Add Autorun Plugin",
          "targetEntity": "Presentation",
          "appliance": "Instance, Collection",
          "parent": {
            "uid": "a9db6cdb-513b-4cca-a0ce-35d571c56cd6",
            "singularName": "Update Presentation",
            "pluralName": "Update Presentation",
            "fullName": "Presentation (Full Control) - Update Presentation",
            "targetEntity": "Presentation",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
          },
          "descendants": [],
          "permissions": [
            {
              "entityId": null,
              "operationUID": "f318d012-58f6-45e0-b347-a8e4418853f8",
              "principal": {
                "name": "Administrators",
                "isCustom": false,
                "type": "Role",
                "id": 1
              },
              "isFixed": true,
              "isInherited": true,
              "isAllowed": true,
              "creationDate": "2024-01-03T01:44:13.18Z"
            },
            {
              "entityId": null,
              "operationUID": "f318d012-58f6-45e0-b347-a8e4418853f8",
              "principal": {
                "name": "General Managers",
                "isCustom": false,
                "type": "Role",
                "id": 2
              },
              "isFixed": true,
              "isInherited": true,
              "isAllowed": true,
              "creationDate": "2024-01-03T01:44:13.293Z"
            },
            {
              "entityId": null,
              "operationUID": "f318d012-58f6-45e0-b347-a8e4418853f8",
              "principal": {
                "name": "Creators",
                "isCustom": false,
                "type": "Role",
                "id": 3
              },
              "isFixed": true,
              "isInherited": true,
              "isAllowed": true,
              "creationDate": "2024-01-03T01:44:13.39Z"
            },
            {
              "entityId": null,
              "operationUID": "f318d012-58f6-45e0-b347-a8e4418853f8",
              "principal": {
                "name": "Publishers",
                "isCustom": false,
                "type": "Role",
                "id": 4
              },
              "isFixed": true,
              "isInherited": true,
              "isAllowed": false,
              "creationDate": "2024-01-03T01:44:13.467Z"
            },
            {
              "entityId": null,
              "operationUID": "f318d012-58f6-45e0-b347-a8e4418853f8",
              "principal": {
                "name": "Network Managers",
                "isCustom": false,
                "type": "Role",
                "id": 5
              },
              "isFixed": true,
              "isInherited": true,
              "isAllowed": false,
              "creationDate": "2024-01-03T01:44:13.673Z"
            },
            {
              "entityId": null,
              "operationUID": "f318d012-58f6-45e0-b347-a8e4418853f8",
              "principal": {
                "name": "Viewers",
                "isCustom": false,
                "type": "Role",
                "id": 6
              },
              "isFixed": true,
              "isInherited": true,
              "isAllowed": false,
              "creationDate": "2024-01-03T01:44:13.843Z"
            }
          ]
        },
        {
          "uid": "b2defd99-0cf9-46f7-949e-de9e6f5bce27",
          "singularName": "Remove Autorun Plugin",
          "pluralName": "Remove Autorun Plugin",
          "fullName": "Presentation (Full Control) - Update Presentation - Remove Autorun Plugin",
          "targetEntity": "Presentation",
          "appliance": "Instance, Collection",
          "parent": {
            "uid": "a9db6cdb-513b-4cca-a0ce-35d571c56cd6",
            "singularName": "Update Presentation",
            "pluralName": "Update Presentation",
            "fullName": "Presentation (Full Control) - Update Presentation",
            "targetEntity": "Presentation",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
          },
          "descendants": [],
          "permissions": [
            {
              "entityId": null,
              "operationUID": "b2defd99-0cf9-46f7-949e-de9e6f5bce27",
              "principal": {
                "name": "Administrators",
                "isCustom": false,
                "type": "Role",
                "id": 1
              },
              "isFixed": true,
              "isInherited": true,
              "isAllowed": true,
              "creationDate": "2024-01-03T01:44:13.18Z"
            },
            {
              "entityId": null,
              "operationUID": "b2defd99-0cf9-46f7-949e-de9e6f5bce27",
              "principal": {
                "name": "General Managers",
                "isCustom": false,
                "type": "Role",
                "id": 2
              },
              "isFixed": true,
              "isInherited": true,
              "isAllowed": true,
              "creationDate": "2024-01-03T01:44:13.293Z"
            },
            {
              "entityId": null,
              "operationUID": "b2defd99-0cf9-46f7-949e-de9e6f5bce27",
              "principal": {
                "name": "Creators",
                "isCustom": false,
                "type": "Role",
                "id": 3
              },
              "isFixed": true,
              "isInherited": true,
              "isAllowed": true,
              "creationDate": "2024-01-03T01:44:13.39Z"
            },
            {
              "entityId": null,
              "operationUID": "b2defd99-0cf9-46f7-949e-de9e6f5bce27",
              "principal": {
                "name": "Publishers",
                "isCustom": false,
                "type": "Role",
                "id": 4
              },
              "isFixed": true,
              "isInherited": true,
              "isAllowed": false,
              "creationDate": "2024-01-03T01:44:13.467Z"
            },
            {
              "entityId": null,
              "operationUID": "b2defd99-0cf9-46f7-949e-de9e6f5bce27",
              "principal": {
                "name": "Network Managers",
                "isCustom": false,
                "type": "Role",
                "id": 5
              },
              "isFixed": true,
              "isInherited": true,
              "isAllowed": false,
              "creationDate": "2024-01-03T01:44:13.673Z"
            },
            {
              "entityId": null,
              "operationUID": "b2defd99-0cf9-46f7-949e-de9e6f5bce27",
              "principal": {
                "name": "Viewers",
                "isCustom": false,
                "type": "Role",
                "id": 6
              },
              "isFixed": true,
              "isInherited": true,
              "isAllowed": false,
              "creationDate": "2024-01-03T01:44:13.843Z"
            }
          ]
        }
      ],
      "permissions": [
        {
          "entityId": null,
          "operationUID": "a9db6cdb-513b-4cca-a0ce-35d571c56cd6",
          "principal": {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.18Z"
        },
        {
          "entityId": null,
          "operationUID": "a9db6cdb-513b-4cca-a0ce-35d571c56cd6",
          "principal": {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.293Z"
        },
        {
          "entityId": null,
          "operationUID": "a9db6cdb-513b-4cca-a0ce-35d571c56cd6",
          "principal": {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.39Z"
        },
        {
          "entityId": null,
          "operationUID": "a9db6cdb-513b-4cca-a0ce-35d571c56cd6",
          "principal": {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.467Z"
        },
        {
          "entityId": null,
          "operationUID": "a9db6cdb-513b-4cca-a0ce-35d571c56cd6",
          "principal": {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.673Z"
        },
        {
          "entityId": null,
          "operationUID": "a9db6cdb-513b-4cca-a0ce-35d571c56cd6",
          "principal": {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.843Z"
        }
      ]
    },
    {
      "uid": "840fc61a-5b1c-4362-a8e8-70d99b6fb5a4",
      "singularName": "Add Content",
      "pluralName": "Add Content",
      "fullName": "Presentation (Full Control) - Add Content",
      "targetEntity": "Presentation",
      "appliance": "Instance, Collection",
      "parent": {
        "uid": "5e368789-94d8-423e-bebb-2f5451398067",
        "singularName": "Full Control",
        "pluralName": "Presentation (Full Control)",
        "fullName": "Presentation (Full Control)",
        "targetEntity": "Presentation",
        "appliance": "Instance, Collection",
        "parent": null,
        "descendants": null,
        "permissions": null
      },
      "descendants": [],
      "permissions": [
        {
          "entityId": null,
          "operationUID": "840fc61a-5b1c-4362-a8e8-70d99b6fb5a4",
          "principal": {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.18Z"
        },
        {
          "entityId": null,
          "operationUID": "840fc61a-5b1c-4362-a8e8-70d99b6fb5a4",
          "principal": {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.293Z"
        },
        {
          "entityId": null,
          "operationUID": "840fc61a-5b1c-4362-a8e8-70d99b6fb5a4",
          "principal": {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.39Z"
        },
        {
          "entityId": null,
          "operationUID": "840fc61a-5b1c-4362-a8e8-70d99b6fb5a4",
          "principal": {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.467Z"
        },
        {
          "entityId": null,
          "operationUID": "840fc61a-5b1c-4362-a8e8-70d99b6fb5a4",
          "principal": {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.673Z"
        },
        {
          "entityId": null,
          "operationUID": "840fc61a-5b1c-4362-a8e8-70d99b6fb5a4",
          "principal": {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.843Z"
        }
      ]
    },
    {
      "uid": "07d6f70f-daea-4baa-9fe9-522368120a1b",
      "singularName": "Remove Content",
      "pluralName": "Remove Content",
      "fullName": "Presentation (Full Control) - Remove Content",
      "targetEntity": "Presentation",
      "appliance": "Instance, Collection",
      "parent": {
        "uid": "5e368789-94d8-423e-bebb-2f5451398067",
        "singularName": "Full Control",
        "pluralName": "Presentation (Full Control)",
        "fullName": "Presentation (Full Control)",
        "targetEntity": "Presentation",
        "appliance": "Instance, Collection",
        "parent": null,
        "descendants": null,
        "permissions": null
      },
      "descendants": [],
      "permissions": [
        {
          "entityId": null,
          "operationUID": "07d6f70f-daea-4baa-9fe9-522368120a1b",
          "principal": {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.18Z"
        },
        {
          "entityId": null,
          "operationUID": "07d6f70f-daea-4baa-9fe9-522368120a1b",
          "principal": {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.293Z"
        },
        {
          "entityId": null,
          "operationUID": "07d6f70f-daea-4baa-9fe9-522368120a1b",
          "principal": {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.39Z"
        },
        {
          "entityId": null,
          "operationUID": "07d6f70f-daea-4baa-9fe9-522368120a1b",
          "principal": {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.467Z"
        },
        {
          "entityId": null,
          "operationUID": "07d6f70f-daea-4baa-9fe9-522368120a1b",
          "principal": {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.673Z"
        },
        {
          "entityId": null,
          "operationUID": "07d6f70f-daea-4baa-9fe9-522368120a1b",
          "principal": {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.843Z"
        }
      ]
    },
    {
      "uid": "610d19d9-b047-bce4-7957-da89011aa3d9",
      "singularName": "Assign Presentation",
      "pluralName": "Assign Presentation",
      "fullName": "Presentation (Full Control) - Assign Presentation",
      "targetEntity": "Presentation",
      "appliance": "Instance, Collection",
      "parent": {
        "uid": "5e368789-94d8-423e-bebb-2f5451398067",
        "singularName": "Full Control",
        "pluralName": "Presentation (Full Control)",
        "fullName": "Presentation (Full Control)",
        "targetEntity": "Presentation",
        "appliance": "Instance, Collection",
        "parent": null,
        "descendants": null,
        "permissions": null
      },
      "descendants": [],
      "permissions": [
        {
          "entityId": null,
          "operationUID": "610d19d9-b047-bce4-7957-da89011aa3d9",
          "principal": {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
          },
          "isFixed": true,
          "isInherited": false,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.393Z"
        },
        {
          "entityId": null,
          "operationUID": "610d19d9-b047-bce4-7957-da89011aa3d9",
          "principal": {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
          },
          "isFixed": true,
          "isInherited": false,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.483Z"
        },
        {
          "entityId": null,
          "operationUID": "610d19d9-b047-bce4-7957-da89011aa3d9",
          "principal": {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.18Z"
        },
        {
          "entityId": null,
          "operationUID": "610d19d9-b047-bce4-7957-da89011aa3d9",
          "principal": {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.293Z"
        },
        {
          "entityId": null,
          "operationUID": "610d19d9-b047-bce4-7957-da89011aa3d9",
          "principal": {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.673Z"
        },
        {
          "entityId": null,
          "operationUID": "610d19d9-b047-bce4-7957-da89011aa3d9",
          "principal": {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.843Z"
        }
      ]
    },
    {
      "uid": "9c0c314a-b5e1-49c7-82b8-f27b748c1a37",
      "singularName": "Unassign Presentation",
      "pluralName": "Unassign Presentation",
      "fullName": "Presentation (Full Control) - Unassign Presentation",
      "targetEntity": "Presentation",
      "appliance": "Instance, Collection",
      "parent": {
        "uid": "5e368789-94d8-423e-bebb-2f5451398067",
        "singularName": "Full Control",
        "pluralName": "Presentation (Full Control)",
        "fullName": "Presentation (Full Control)",
        "targetEntity": "Presentation",
        "appliance": "Instance, Collection",
        "parent": null,
        "descendants": null,
        "permissions": null
      },
      "descendants": [],
      "permissions": [
        {
          "entityId": null,
          "operationUID": "9c0c314a-b5e1-49c7-82b8-f27b748c1a37",
          "principal": {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
          },
          "isFixed": true,
          "isInherited": false,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.393Z"
        },
        {
          "entityId": null,
          "operationUID": "9c0c314a-b5e1-49c7-82b8-f27b748c1a37",
          "principal": {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
          },
          "isFixed": true,
          "isInherited": false,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.483Z"
        },
        {
          "entityId": null,
          "operationUID": "9c0c314a-b5e1-49c7-82b8-f27b748c1a37",
          "principal": {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.18Z"
        },
        {
          "entityId": null,
          "operationUID": "9c0c314a-b5e1-49c7-82b8-f27b748c1a37",
          "principal": {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.293Z"
        },
        {
          "entityId": null,
          "operationUID": "9c0c314a-b5e1-49c7-82b8-f27b748c1a37",
          "principal": {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.673Z"
        },
        {
          "entityId": null,
          "operationUID": "9c0c314a-b5e1-49c7-82b8-f27b748c1a37",
          "principal": {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.843Z"
        }
      ]
    },
    {
      "uid": "6304d004-450e-c694-05e6-adc7adc3efc6",
      "singularName": "Edit Permissions",
      "pluralName": "Edit Permissions",
      "fullName": "Presentation (Full Control) - Edit Permissions",
      "targetEntity": "Presentation",
      "appliance": "Collection",
      "parent": {
        "uid": "5e368789-94d8-423e-bebb-2f5451398067",
        "singularName": "Full Control",
        "pluralName": "Presentation (Full Control)",
        "fullName": "Presentation (Full Control)",
        "targetEntity": "Presentation",
        "appliance": "Instance, Collection",
        "parent": null,
        "descendants": null,
        "permissions": null
      },
      "descendants": [],
      "permissions": [
        {
          "entityId": null,
          "operationUID": "6304d004-450e-c694-05e6-adc7adc3efc6",
          "principal": {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.18Z"
        },
        {
          "entityId": null,
          "operationUID": "6304d004-450e-c694-05e6-adc7adc3efc6",
          "principal": {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.293Z"
        },
        {
          "entityId": null,
          "operationUID": "6304d004-450e-c694-05e6-adc7adc3efc6",
          "principal": {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.39Z"
        },
        {
          "entityId": null,
          "operationUID": "6304d004-450e-c694-05e6-adc7adc3efc6",
          "principal": {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.467Z"
        },
        {
          "entityId": null,
          "operationUID": "6304d004-450e-c694-05e6-adc7adc3efc6",
          "principal": {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.673Z"
        },
        {
          "entityId": null,
          "operationUID": "6304d004-450e-c694-05e6-adc7adc3efc6",
          "principal": {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.843Z"
        }
      ]
    },
    {
      "uid": "87fd8615-7051-49c9-8ada-67b5f7fb31ae",
      "singularName": "Delete Presentation",
      "pluralName": "Delete Presentation",
      "fullName": "Presentation (Full Control) - Delete Presentation",
      "targetEntity": "Presentation",
      "appliance": "Instance, Collection",
      "parent": {
        "uid": "5e368789-94d8-423e-bebb-2f5451398067",
        "singularName": "Full Control",
        "pluralName": "Presentation (Full Control)",
        "fullName": "Presentation (Full Control)",
        "targetEntity": "Presentation",
        "appliance": "Instance, Collection",
        "parent": null,
        "descendants": null,
        "permissions": null
      },
      "descendants": [],
      "permissions": [
        {
          "entityId": null,
          "operationUID": "87fd8615-7051-49c9-8ada-67b5f7fb31ae",
          "principal": {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
          },
          "isFixed": true,
          "isInherited": false,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.673Z"
        },
        {
          "entityId": null,
          "operationUID": "87fd8615-7051-49c9-8ada-67b5f7fb31ae",
          "principal": {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.18Z"
        },
        {
          "entityId": null,
          "operationUID": "87fd8615-7051-49c9-8ada-67b5f7fb31ae",
          "principal": {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.293Z"
        },
        {
          "entityId": null,
          "operationUID": "87fd8615-7051-49c9-8ada-67b5f7fb31ae",
          "principal": {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": true,
          "creationDate": "2024-01-03T01:44:13.39Z"
        },
        {
          "entityId": null,
          "operationUID": "87fd8615-7051-49c9-8ada-67b5f7fb31ae",
          "principal": {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.467Z"
        },
        {
          "entityId": null,
          "operationUID": "87fd8615-7051-49c9-8ada-67b5f7fb31ae",
          "principal": {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
          },
          "isFixed": true,
          "isInherited": true,
          "isAllowed": false,
          "creationDate": "2024-01-03T01:44:13.843Z"
        }
      ]
    }
  ],
  "permissions": [
    {
      "entityId": null,
      "operationUID": "5e368789-94d8-423e-bebb-2f5451398067",
      "principal": {
        "name": "Administrators",
        "isCustom": false,
        "type": "Role",
        "id": 1
      },
      "isFixed": true,
      "isInherited": false,
      "isAllowed": true,
      "creationDate": "2024-01-03T01:44:13.18Z"
    },
    {
      "entityId": null,
      "operationUID": "5e368789-94d8-423e-bebb-2f5451398067",
      "principal": {
        "name": "General Managers",
        "isCustom": false,
        "type": "Role",
        "id": 2
      },
      "isFixed": true,
      "isInherited": false,
      "isAllowed": true,
      "creationDate": "2024-01-03T01:44:13.293Z"
    },
    {
      "entityId": null,
      "operationUID": "5e368789-94d8-423e-bebb-2f5451398067",
      "principal": {
        "name": "Creators",
        "isCustom": false,
        "type": "Role",
        "id": 3
      },
      "isFixed": true,
      "isInherited": false,
      "isAllowed": true,
      "creationDate": "2024-01-03T01:44:13.39Z"
    },
    {
      "entityId": null,
      "operationUID": "5e368789-94d8-423e-bebb-2f5451398067",
      "principal": {
        "name": "Publishers",
        "isCustom": false,
        "type": "Role",
        "id": 4
      },
      "isFixed": true,
      "isInherited": false,
      "isAllowed": false,
      "creationDate": "2024-01-03T01:44:13.467Z"
    },
    {
      "entityId": null,
      "operationUID": "5e368789-94d8-423e-bebb-2f5451398067",
      "principal": {
        "name": "Network Managers",
        "isCustom": false,
        "type": "Role",
        "id": 5
      },
      "isFixed": true,
      "isInherited": false,
      "isAllowed": false,
      "creationDate": "2024-01-03T01:44:13.673Z"
    },
    {
      "entityId": null,
      "operationUID": "5e368789-94d8-423e-bebb-2f5451398067",
      "principal": {
        "name": "Viewers",
        "isCustom": false,
        "type": "Role",
        "id": 6
      },
      "isFixed": true,
      "isInherited": false,
      "isAllowed": false,
      "creationDate": "2024-01-03T01:44:13.843Z"
    }
  ]
}
```
:::

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">500</font>: Any 500 code is an internal server error

## GET /\{id}/Permissions/ 

Includes object permissions for a given Presentation

**Required Scope Token**

bsn.api.main.presentations.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the Presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345`

```text
GET /2022/06/REST/Presentations/12345/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns an array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities 

**Example**

```json
[
      {
      "entityId": 12345,
      "operationUID": "840fc61a-5b1c-4362-a8e8-70d99b6fb5a4",
      "principal":       {
         "login": "JaneDoe@brightsign.biZ",
         "type": "User",
         "id": 123
      },
      "isFixed": false,
      "isInherited": false,
      "isAllowed": true,
      "creationDate": "2023-11-13T23:56:31.11Z"
   },
      {
      "entityId": 12345,
      "operationUID": "5e368789-94d8-423e-bebb-2f5451398067",
      "principal":       {
         "name": "Custom",
         "isCustom": true,
         "type": "Role",
         "id": 456
      },
      "isFixed": false,
      "isInherited": false,
      "isAllowed": true,
      "creationDate": "2023-11-13T23:56:31.09Z"
   }
]
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## POST /\{id}/Permissions/ 

Adds permissions for the specified Presentation

**Required Scope Token**

bsn.api.main.presentations.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int</font>: A unique identifier for the Presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- An array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is `12345`

```text
POST /2022/06/REST/Presentations/12345/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 326
```

This is the example request body:

```json
[
  {
    "entityId": 12345,
    "operationUID": "5e368789-94d8-423e-bebb-2f5451398067",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 123
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "0001-01-01T00:00:00"
  }
]
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The permissions were successfully added to the specified Presentation

**Failure Response**

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{id}/Permissions/ 

Removes permissions for the specified Presentation&#x20;

**Required Scope Token**

bsn.api.main.presentations.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the Presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- An array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is `12345`

```text
DELETE /2022/06/REST/Presentations/12345/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 326
```

This is the example request body:

```json
[
  {
    "entityId": 12345,
    "operationUID": "5e368789-94d8-423e-bebb-2f5451398067",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 123
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "0001-01-01T00:00:00"
  }
]
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified permissions were successfully deleted

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{name}/Permissions/ 

Includes object permissions for a given Presentation

**Required Scope Token**

bsn.api.main.presentations.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the Presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `October2023Prez`

```text
GET /2022/06/REST/Presentations/October2023Prez/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns an array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities 

**Example**

```json
[
      {
      "entityId": 12345,
      "operationUID": "840fc61a-5b1c-4362-a8e8-70d99b6fb5a4",
      "principal":       {
         "login": "JaneDoe@brightsign.biZ",
         "type": "User",
         "id": 123
      },
      "isFixed": false,
      "isInherited": false,
      "isAllowed": true,
      "creationDate": "2023-11-13T23:56:31.11Z"
   },
      {
      "entityId": 12345,
      "operationUID": "5e368789-94d8-423e-bebb-2f5451398067",
      "principal":       {
         "name": "Custom",
         "isCustom": true,
[...]
